=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) LDFLAGS=-Wl,--as-needed

override_dh_auto_install:
	$(MAKE) install-bin DESTDIR=$(CURDIR)/debian/ltc-tools PREFIX=/usr

override_dh_auto_clean:
