## ltc-tools 0.7.0-2

=== debian/changelog ===
ltc-tools (0.7.0-2) stable; urgency=medium

  * Build for own repo 

 -- Michael Poetters <michael+debian@poetters.net>  Mon, 12 Jun 2017 21:56:09 +0200

ltc-tools (0.7.0-1) unstable; urgency=low

  * Add jltctrigger (trigger command on a given LTC timecode)
  * Fix date code which'll break in any other century
  * Allow custom user bits in various tools
  * Fix --fps option (previously only the short option worked)
  * Add jltcntp  - JACK LTC parser with NTP SHM support

 -- Robin Gareus <robin@gareus.org>  Sun, 17 Feb 2019 17:02:03 +0100
