=== debian/control ===
Source: ltc-tools
Section: sound
Priority: optional
Maintainer: Robin Gareus <robin@gareus.org>
Build-Depends: debhelper (>= 8.0.0), 
 libjack-dev | libjack-jackd2-dev,
 libltc-dev,
 libsndfile1-dev
Homepage: https://github.com/x42/ltc-tools
Standards-Version: 3.9.3

Package: ltc-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: commandline tools to deal with linear-timecode (LTC)
 This package currently features 3 tools:
 .
 jltcdump: ltcdump is a small tool to extract LTC encoded SMPTE timecode
 from a live audio input using JACK.
 .
 jltcgen: generate LTC audio in realtime.
 .
 ltcdump: analyze LTC in audio-files
